
#ifndef _EXPLORER
#define _EXPLORER

#define NB_CHAR_ADRESSE 100

typedef struct
{
    char nom[13];
    FONTCHARACTER adresse[NB_CHAR_ADRESSE];
    int taille;
    unsigned short type;
} Fichier;

typedef enum {NON, NOM, EXT} Trie;
typedef enum {COPIER, COUPER} Copie;
typedef enum {EXE, EXIT, NUL, SEL, COPY, CUT, PASTE, MKDIR, MKFILE, DEL, RENAME, RESIZE, NAME, TYPE, NONE} Action;

void int2str(char *c, int n);
int nbFichiers(char* dossier);
Fichier* listerFichiers(char* dossier,Fichier* fichier);
char tolower(char a);
char* extention(char* c);
void tolowerExtention(char* c);
int sup(char* c1, char* c2);
void trier(Fichier* fichier, Trie type);

int nbElement(Fichier* fichier);
int affiche(Fichier* fichier, char* dossier, char* selected);
void explorer(char* ch);

#endif
